summaryrefslogtreecommitdiffstats
path: root/tests/shell
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2020-01-22 22:38:56 +0100
committerPablo Neira Ayuso <pablo@netfilter.org>2020-01-22 23:04:08 +0100
commit3713a0acc99df1b80a50732b9b106a42b994cd6c (patch)
tree0437c93f46986d2aef3ba3f0387d883fc49c280c /tests/shell
parentc9ddf0bff363fc9101b563b592db600bdf4d65c5 (diff)
tests: shell: set lookup and set update
A simple test to cover set lookup and update in one rule. Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell')
-rwxr-xr-xtests/shell/testcases/sets/0042update_set_021
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0042update_set_0 b/tests/shell/testcases/sets/0042update_set_0
new file mode 100755
index 00000000..a8e9e05f
--- /dev/null
+++ b/tests/shell/testcases/sets/0042update_set_0
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+RULESET="table ip t {
+ set set1 {
+ type ether_addr
+ }
+
+ set set2 {
+ type ether_addr
+ size 65535
+ flags dynamic
+ }
+
+ chain c {
+ ether daddr @set1 add @set2 { ether daddr counter }
+ }
+}"
+
+$NFT -f - <<< "$RULESET" || { echo "can't apply basic ruleset"; exit 1; }